UpshiftDocs
REST APIInstitutional API

System

Connectivity check and on-chain revert-reason decoding.

Ping

Health check endpoint for monitoring (Docker healthcheck).

Checks:

  • API responsiveness
  • PostgreSQL database connectivity (critical for subaccount queries)
  • Blockchain RPC connectivity (non-critical, degrades service)
GET
/ping

Response Body

curl -X GET "https://api.upshift.finance/api/v1/ping"
{}

Get Revert Reason

GET
/revert_reason

Query Parameters

tx_hashTx Hash
chainChain
Value in1 | -1 | -2 | -3 | -4 | 42161 | 43114 | 8453 | 56 | 534352 | 59144 | 10 | 137 | 2222 | 0 | 1101 | 48900 | 1923 | 43111 | 80094 | 146 | 999 | 130 | 239 | 31612 | 1868 | 9745 | 143 | 57073 | 14 | 4114 | 25363 | 4217 | 196 | 11155111

Response Body

curl -X GET "https://api.upshift.finance/api/v1/revert_reason?tx_hash=string&chain=1"
{
  "error_messages": [],
  "revert_reasons": [],
  "universal_subaccount_errors": []
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}